summaryrefslogtreecommitdiff
path: root/lib/libsamplerate/libsamplerate-0.2.2/src/check_asm.sh
diff options
context:
space:
mode:
authorjacqueline <me@jacqueline.id.au>2023-08-01 14:00:31 +1000
committerjacqueline <me@jacqueline.id.au>2023-08-01 14:00:31 +1000
commitfbebc525117f18d5751e6951bc4ffcc51f70dcc4 (patch)
tree5725146701b816060fdd1f0979b2ff83fc4f7e24 /lib/libsamplerate/libsamplerate-0.2.2/src/check_asm.sh
parent55429fa6231cb576a79bbc7d6b0bf0732f5ea7a4 (diff)
downloadtangara-fw-fbebc525117f18d5751e6951bc4ffcc51f70dcc4.tar.gz
Add libsamplerate for resampling decoder output
Diffstat (limited to 'lib/libsamplerate/libsamplerate-0.2.2/src/check_asm.sh')
-rwxr-xr-xlib/libsamplerate/libsamplerate-0.2.2/src/check_asm.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/lib/libsamplerate/libsamplerate-0.2.2/src/check_asm.sh b/lib/libsamplerate/libsamplerate-0.2.2/src/check_asm.sh
new file mode 100755
index 00000000..5b7f0bd8
--- /dev/null
+++ b/lib/libsamplerate/libsamplerate-0.2.2/src/check_asm.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Copyright (C) 2004-2011 Erik de Castro Lopo <erikd@mega-nerd.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
+
+#=======================================================================
+# This short test script compiles the file src_sinc.c into assembler
+# output and the greps the assembler output for the fldcw (FPU Load
+# Control Word) instruction which is very detrimental to the perfromance
+# of floating point code.
+
+echo -n " Checking assembler output for bad code : "
+
+if [ $# -ne 1 ]; then
+ echo "Error : Need the name of the input file."
+ exit 1
+ fi
+
+filename=$1
+
+if [ ! -f $filename ];then
+ echo "Error : Can't find file $filename."
+ exit 1
+ fi
+
+count=`grep fldcw $filename | wc -l`
+
+if [ $count -gt 0 ]; then
+ echo -e "\n\nError : found $count bad instructions.\n\n"
+ exit 1
+ fi
+
+echo "ok"
+